VERSION 5.00
Begin VB.Form frm_AOHex 
   Caption         =   "UniDAQ Analog Output(Hex)"
   ClientHeight    =   1815
   ClientLeft      =   60
   ClientTop       =   465
   ClientWidth     =   4590
   LinkTopic       =   "Form1"
   ScaleHeight     =   1815
   ScaleWidth      =   4590
   StartUpPosition =   3  'Windows Default
   Begin VB.ComboBox cbxAOCfg 
      BackColor       =   &H0080FF80&
      Height          =   315
      ItemData        =   "AOHex.frx":0000
      Left            =   960
      List            =   "AOHex.frx":0016
      TabIndex        =   9
      Text            =   "--Select Range--"
      Top             =   960
      Width           =   1815
   End
   Begin VB.ComboBox cbxAOCh 
      BackColor       =   &H0080FF80&
      Height          =   315
      Left            =   960
      TabIndex        =   4
      Text            =   "--Select  Channel--"
      Top             =   600
      Width           =   1815
   End
   Begin VB.TextBox tbxAOVal 
      Alignment       =   1  'Right Justify
      BackColor       =   &H0080FF80&
      Height          =   375
      Left            =   960
      TabIndex        =   3
      Text            =   "0"
      Top             =   1320
      Width           =   1815
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "&EXIT"
      Height          =   735
      Left            =   2880
      TabIndex        =   2
      Top             =   960
      Width           =   1575
   End
   Begin VB.ComboBox cbxBoardNo 
      BackColor       =   &H0080FF80&
      Height          =   315
      Left            =   960
      TabIndex        =   1
      Text            =   "-----Select Board-----"
      Top             =   240
      Width           =   1815
   End
   Begin VB.CommandButton cmdActive 
      Caption         =   "&OUTPUT"
      Height          =   735
      Left            =   2880
      TabIndex        =   0
      Top             =   240
      Width           =   1575
   End
   Begin VB.Label Label4 
      Caption         =   "AO Range"
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   960
      Width           =   855
   End
   Begin VB.Label Label3 
      Caption         =   "Board"
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   240
      Width           =   735
   End
   Begin VB.Label Label2 
      Caption         =   "Channel"
      Height          =   375
      Left            =   120
      TabIndex        =   6
      Top             =   600
      Width           =   735
   End
   Begin VB.Label Label1 
      Caption         =   "Value(HEX)"
      Height          =   255
      Left            =   0
      TabIndex        =   5
      Top             =   1320
      Width           =   975
   End
End
Attribute VB_Name = "frm_AOHex"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim wTotalBoards As Integer
Dim wBoardNo As Integer

Dim wRtn As Integer
Dim szModelName As String * 20

Dim sDevInfo(0 To MAX_BOARD_NUMBER - 1) As IXUD_DEVICE_INFO
Dim sCardInfo(0 To MAX_BOARD_NUMBER - 1) As IXUD_CARD_INFO
Dim sSelDevInfo As IXUD_DEVICE_INFO
Dim sSelCardInfo As IXUD_CARD_INFO

Private Sub cbxAOCfg_Click()
wBoardNo = Val(Me.cbxBoardNo.ListIndex)
wRtn = Ixud_ConfigAO(wBoardNo, Me.cbxAOCh.ListIndex, Me.cbxAOCfg.ListIndex)
End Sub

Private Sub cbxBoardNo_Click()
 Dim ChIndex As Integer
 
 sSelDevInfo = sDevInfo(cbxBoardNo.ListIndex)
 sSelCardInfo = sCardInfo(cbxBoardNo.ListIndex)
 
 frm_AOHex.Caption = Me.cbxBoardNo.Text + " Analog Output(Hex)"
 If sSelCardInfo.wAOChannels > 0 Then
    Me.cbxAOCh.Clear
    For ChIndex = 0 To sSelCardInfo.wAOChannels - 1
      Me.cbxAOCh.AddItem "Channel " + Str(ChIndex)
    Next ChIndex
    
    cbxAOCh.ListIndex = 0
 Else
  MsgBox ("None AO Channel")

 End If
End Sub

Private Sub cmdActive_Click()

wBoardNo = Val(Me.cbxBoardNo.ListIndex) '//Set AO Config

'//Write Analog Output Value
wRtn = Ixud_WriteAOVoltageH(wBoardNo, Me.cbxAOCh.ListIndex, CLng("&h" + Me.tbxAOVal.Text))

End Sub

Private Sub cmdExit_Click()
'//Driver Close
 Call Ixud_DriverClose
 End
End Sub

Private Sub Form_Load()
Dim wBoardIndex As Integer


'//Driver Initial
wRtn = Ixud_DriverInit(wTotalBoards)
If (wRtn) Then
    MsgBox ("Driver Initial Error!!Error Code:" + Str(wRtn))
    End
End If

'//Get Card Information
For wBoardIndex = 0 To wTotalBoards - 1

    wRtn = Ixud_GetCardInfo(wBoardIndex, sDevInfo(wBoardIndex), sCardInfo(wBoardIndex), szModelName)
    
    If (wRtn) Then
        MsgBox ("Get Card Information Err")
    End If
    
    Me.cbxBoardNo.AddItem Str(wBoardIndex) + " " + szModelName

Next


Me.cbxBoardNo.ListIndex = 0

End Sub
