using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.Resources; 
using System.Collections; 
using System.Threading;
using System.Runtime.InteropServices;
using controlArray; //namespace ControlArray
using UniDAQ_Ns;
using System.Reflection;    //namespace P100X_Ns 

namespace DIO
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }



        ushort wTotalBoard, wRtn;
        ushort wBoardNo_DA4U_A ,wBoardNo_DA4U_B;
        uint lInputValA, lInputValB;
   
  
        UniDAQ.IXUD_CARD_INFO[] sCardInfo = new UniDAQ.IXUD_CARD_INFO[UniDAQ.MAX_BOARD_NUMBER];
        UniDAQ.IXUD_DEVICE_INFO[] sDeviceInfo = new UniDAQ.IXUD_DEVICE_INFO[UniDAQ.MAX_BOARD_NUMBER];

        private void Form1_Load(object sender, EventArgs e)
        {
            
      

            //Driver Initial
            wRtn = UniDAQ.Ixud_DriverInit(ref wTotalBoard);
            if (wRtn != UniDAQ.Ixud_NoErr)
            {
                MessageBox.Show("Driver Initial Error!!Error Code:" + wRtn.ToString());
                Close();
                return;
            }

       
        }

       

        private void btnExit_Click(object sender, EventArgs e)
        {
            wRtn = UniDAQ.Ixud_DriverClose();
            Close();
            return;
        }

        private void btnActive_Click(object sender, EventArgs e)
        {
        //A
        
        // Get BoardNo for PISO-DA4U
        wRtn = UniDAQ.Ixud_GetBoardNoByCardID(ref wBoardNo_DA4U_A, UniDAQ.PIODA, Convert.ToUInt16(this.tbxCardIDA.Text));
        //PIODA
        if (wRtn != UniDAQ.Ixud_NoErr) 
        {
            MessageBox.Show("GetBoardNoByCardID Error!!Error Code:" + wRtn.ToString());
        }

        //Write Digital Output port
        //Read Digital Input port
        wRtn = UniDAQ.Ixud_WriteDO(wBoardNo_DA4U_A, Convert.ToUInt16(this.tbxAPort.Text), 10); //A
        wRtn = UniDAQ.Ixud_ReadDI(wBoardNo_DA4U_A, Convert.ToUInt16(this.tbxAPort.Text), ref lInputValA);

        this.tbxAVal.Text = Convert.ToString(lInputValA,16).ToUpper();
        this.BoardNo1.Text = wBoardNo_DA4U_A.ToString();
        }

        private void Button1_Click(object sender, EventArgs e)
        {
        //B
        
        // Get BoardNo for PISO-DA4U
        wRtn = UniDAQ.Ixud_GetBoardNoByCardID(ref wBoardNo_DA4U_B, UniDAQ.PIODA, Convert.ToUInt16(this.tbxCardIDB.Text));
        //PIODA
        if (wRtn != UniDAQ.Ixud_NoErr) 
        {
            MessageBox.Show("GetBoardNoByCardID Error!!Error Code:" + wRtn.ToString());
        }

        //Write Digital Output port
        //Read Digital Input port
        wRtn = UniDAQ.Ixud_WriteDO(wBoardNo_DA4U_B, Convert.ToUInt16(this.tbxBPort.Text), 11); //A
        wRtn = UniDAQ.Ixud_ReadDI(wBoardNo_DA4U_B, Convert.ToUInt16(this.tbxBPort.Text), ref lInputValB);

        this.tbxBVal.Text = Convert.ToString(lInputValB,16).ToUpper();
        this.BoardNo2.Text = wBoardNo_DA4U_B.ToString();
        }

        
    } 
}