VERSION 5.00
Begin VB.Form DIO_LED 
   Caption         =   "Digital I/O for CardID"
   ClientHeight    =   2100
   ClientLeft      =   60
   ClientTop       =   465
   ClientWidth     =   3315
   LinkTopic       =   "Form1"
   ScaleHeight     =   2100
   ScaleWidth      =   3315
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdExit 
      Caption         =   "&EXIT"
      Height          =   375
      Left            =   0
      TabIndex        =   6
      Top             =   1680
      Width           =   3255
   End
   Begin VB.Frame Frame1 
      Caption         =   "WriteDO(PISO-C64U)"
      Height          =   1455
      Left            =   0
      TabIndex        =   0
      Top             =   120
      Width           =   3255
      Begin VB.TextBox tbxCardID 
         Height          =   285
         Left            =   960
         TabIndex        =   8
         Text            =   "0"
         Top             =   240
         Width           =   735
      End
      Begin VB.CommandButton cmdWrite 
         Caption         =   "&WRITE"
         Height          =   855
         Left            =   1800
         TabIndex        =   5
         Top             =   360
         Width           =   1215
      End
      Begin VB.TextBox tbxDOVal 
         Height          =   285
         Left            =   960
         TabIndex        =   4
         Text            =   "0"
         Top             =   960
         Width           =   735
      End
      Begin VB.TextBox tbxDOPort 
         Height          =   285
         Left            =   960
         TabIndex        =   3
         Text            =   "0"
         Top             =   600
         Width           =   735
      End
      Begin VB.Label Label5 
         Caption         =   "Card ID"
         Height          =   255
         Left            =   120
         TabIndex        =   7
         Top             =   240
         Width           =   615
      End
      Begin VB.Label Label2 
         Caption         =   "Value(HEX)"
         Height          =   255
         Left            =   120
         TabIndex        =   2
         Top             =   960
         Width           =   855
      End
      Begin VB.Label Label1 
         Caption         =   "Port"
         Height          =   255
         Left            =   120
         TabIndex        =   1
         Top             =   600
         Width           =   495
      End
   End
End
Attribute VB_Name = "DIO_LED"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim wTotalBoards As Integer
Dim wRtn As Integer

Dim sDevInfo(0 To MAX_BOARD_NUMBER - 1) As IXUD_DEVICE_INFO
Dim sCardInfo(0 To MAX_BOARD_NUMBER - 1) As IXUD_CARD_INFO
Dim sSelDevInfo As IXUD_DEVICE_INFO
Dim sSelCardInfo As IXUD_CARD_INFO

Dim wBoardNo_P32C32 As Integer

Private Sub cmdExit_Click()
 Call Ixud_DriverClose
 End
End Sub



Private Sub cmdWrite_Click()

'// Get BoardNo for PISO-P32C32
wRtn = Ixud_GetBoardNoByCardID(wBoardNo_P32C32, PISOP32C32, CInt(Me.tbxCardID.Text))
If (wRtn) Then
    MsgBox ("GetBoardNoByCardID Error!!Error Code:" + CStr(wRtn))
End If

'//Write Digital Output port
wRtn = Ixud_WriteDO(wBoardNo_P32C32, CInt(Me.tbxDOPort.Text), CLng("&h" + Me.tbxDOVal))


End Sub

Private Sub Form_Load()
Dim wBoardIndex As Integer
Dim szModelName As String * 20
Dim wCardID As Integer

'//Driver Initial
wRtn = Ixud_DriverInit(wTotalBoards)
If (wRtn) Then
    MsgBox ("Driver Initial Error!!Error Code:" + Str(wRtn))
    End
End If

End Sub


