VERSION 5.00
Begin VB.Form frm_DOCont 
   Caption         =   "Analog Pattern Generator(Cont.)"
   ClientHeight    =   2370
   ClientLeft      =   60
   ClientTop       =   465
   ClientWidth     =   4920
   LinkTopic       =   "Form1"
   ScaleHeight     =   2370
   ScaleWidth      =   4920
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame2 
      Caption         =   "Wave Setting"
      Height          =   1335
      Left            =   0
      TabIndex        =   6
      Top             =   960
      Width           =   2775
      Begin VB.TextBox tbxDOFreq 
         BackColor       =   &H00C0FFC0&
         Height          =   375
         Left            =   1320
         TabIndex        =   9
         Text            =   "10000.0"
         Top             =   840
         Width           =   735
      End
      Begin VB.TextBox tbxDONum 
         BackColor       =   &H00C0FFC0&
         Height          =   375
         Left            =   1320
         TabIndex        =   7
         Text            =   "512"
         Top             =   360
         Width           =   495
      End
      Begin VB.Label Label12 
         Caption         =   "Points"
         Height          =   255
         Left            =   1920
         TabIndex        =   12
         Top             =   360
         Width           =   615
      End
      Begin VB.Label Label11 
         Caption         =   "(kHz)"
         Height          =   375
         Left            =   2040
         TabIndex        =   11
         Top             =   840
         Width           =   375
      End
      Begin VB.Label Label6 
         Caption         =   "Sampling Rate"
         Height          =   255
         Left            =   120
         TabIndex        =   10
         Top             =   840
         Width           =   1095
      End
      Begin VB.Label Label10 
         Caption         =   "Wave number"
         Height          =   255
         Left            =   120
         TabIndex        =   8
         Top             =   360
         Width           =   1095
      End
   End
   Begin VB.ComboBox cbxDOPort 
      BackColor       =   &H00C0FFC0&
      Height          =   315
      Left            =   960
      TabIndex        =   3
      Text            =   "--Select  Channel--"
      Top             =   600
      Width           =   1815
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "&EXIT"
      Height          =   735
      Left            =   2880
      TabIndex        =   2
      Top             =   1560
      Width           =   1935
   End
   Begin VB.ComboBox cbxBoardNo 
      BackColor       =   &H00C0FFC0&
      Height          =   315
      Left            =   960
      TabIndex        =   1
      Text            =   "-----Select Board-----"
      Top             =   240
      Width           =   1815
   End
   Begin VB.CommandButton cmdActive 
      Caption         =   "&ACTIVE"
      Height          =   855
      Left            =   2880
      TabIndex        =   0
      Top             =   600
      Width           =   1935
   End
   Begin VB.Label Label3 
      Caption         =   "Board"
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   240
      Width           =   735
   End
   Begin VB.Label Label2 
      Caption         =   "Channel"
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Top             =   600
      Width           =   735
   End
End
Attribute VB_Name = "frm_DOCont"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim wTotalBoards As Integer
Dim wBoardNo As Integer

Dim wRtn As Integer
Dim szModelName As String * 20

Dim sDevInfo(0 To MAX_BOARD_NUMBER - 1) As IXUD_DEVICE_INFO
Dim sCardInfo(0 To MAX_BOARD_NUMBER - 1) As IXUD_CARD_INFO
Dim sSelDevInfo As IXUD_DEVICE_INFO
Dim sSelCardInfo As IXUD_CARD_INFO
Dim dwDOVal(2048) As Long
Dim wDOOutputNum As Integer
Dim wIndex As Integer



Private Sub cbxBoardNo_Click()
 Dim ChIndex As Integer
 
 sSelDevInfo = sDevInfo(cbxBoardNo.ListIndex)
 sSelCardInfo = sCardInfo(cbxBoardNo.ListIndex)
 
 frm_DOCont.Caption = Me.cbxBoardNo.Text + " Digital Pattern Generator(Cont.)"
 If sSelCardInfo.wDIOPorts + sSelCardInfo.wDOPorts > 0 Then
    Me.cbxDOPort.Clear
    For ChIndex = 0 To sSelCardInfo.wDIOPorts + sSelCardInfo.wDOPorts - 1
       
      Me.cbxDOPort.AddItem "Port " + Str(ChIndex)
    Next ChIndex
    
    cbxDOPort.ListIndex = 0
 Else
  MsgBox ("None DO Function")

 End If
End Sub

Private Sub cmdActive_Click()

wBoardNo = Val(Me.cbxBoardNo.ListIndex)
wDOOutputNum = Val(Me.tbxDONum.Text)


If cmdActive.Caption = "&ACTIVE" Then

    cmdActive.Caption = "&STOP"
    
    '//SinWave Pattern
    For wIndex = 0 To wDOOutputNum - 1
        dwDOVal(wIndex) = wIndex
    Next
    
    '//Start DO Pattern Generatorwith Continuous Mode
    wRtn = Ixud_StartDO(wBoardNo, Val(Me.cbxDOPort.ListIndex), 0, CSng(Me.tbxDOFreq.Text) * 1000#, wDOOutputNum, 0, dwDOVal(0))

Else

    Me.cmdActive.Caption = "&ACTIVE"
    '//Stop DO pattern Generator
    wRtn = Ixud_StopDO(wBoardNo, Val(Me.cbxDOPort.ListIndex))


End If

End Sub

Private Sub cmdExit_Click()
'//Driver Close
 Call Ixud_DriverClose
 End
End Sub

Private Sub Form_Load()
Dim wBoardIndex As Integer


'//Driver Initial
wRtn = Ixud_DriverInit(wTotalBoards)
If (wRtn) Then
    MsgBox ("Driver Initial Error!!Error Code:" + Str(wRtn))
    End
End If

'//Get Card Information
For wBoardIndex = 0 To wTotalBoards - 1

    wRtn = Ixud_GetCardInfo(wBoardIndex, sDevInfo(wBoardIndex), sCardInfo(wBoardIndex), szModelName)
    
    If (wRtn) Then
        MsgBox ("Get Card Information Err")
    End If
    
    Me.cbxBoardNo.AddItem Str(wBoardIndex) + " " + szModelName

Next


Me.cbxBoardNo.ListIndex = 0

End Sub
