/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2013. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1
#define  PANEL_butExit                    2       /* control type: command, callback function: OnCancel */
#define  PANEL_IDC_COMBO_SelectBoard      3       /* control type: ring, callback function: OnSelchangeCOMBOSelectBoard */
#define  PANEL_IDC_COMBO_OutputPort       4       /* control type: ring, callback function: (none) */
#define  PANEL_IDC_COMBO_InputPort        5       /* control type: ring, callback function: (none) */
#define  PANEL_IDC_BTN_DO                 6       /* control type: command, callback function: OnBtnDo */
#define  PANEL_IDC_EDIT_DO                7       /* control type: numeric, callback function: (none) */
#define  PANEL_IDC_EDIT_DI                8       /* control type: numeric, callback function: (none) */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK OnBtnDo(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK OnCancel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK OnSelchangeCOMBOSelectBoard(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
