using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.Resources; 
using System.Collections; 
using System.Threading;
using System.Runtime.InteropServices;

using UniDAQ_Ns;//NameSpace UniDAQ_Ns
using System.Reflection;    

namespace DIO
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();


        }

        int int_count_0,int_count_1;
        UniDAQ.CallBackFun FuncAddress;
        UniDAQ.CallBackFun FuncAddress1; 
       
        ushort wTotalBoard, wInitialCode, wBoardNo;
        uint hEvent,hEvent1;

       
        UniDAQ.IXUD_CARD_INFO[] sCardInfo = new UniDAQ.IXUD_CARD_INFO[32];
        UniDAQ.IXUD_DEVICE_INFO[] sDeviceInfo = new UniDAQ.IXUD_DEVICE_INFO[32];
        //System.DateTime currentTime = new System.DateTime(); 


        private void Form1_Load(object sender, EventArgs e)
        {
            //string szModeName="Unknow Device";
            //string szModeName = new string(' ',20);
            byte[] szModeName = new byte[20];
            //StringBuilder sCardName = new StringBuilder();
            FuncAddress = User_Callback_0;
            FuncAddress1 = User_Callback_1;
            wInitialCode = UniDAQ.Ixud_DriverInit(ref wTotalBoard);
            if (wInitialCode != UniDAQ.Ixud_NoErr)
            {
                MessageBox.Show("Driver Inital Error!!Error Code:" + wInitialCode.ToString());
                Close();
                return;
            }

            for (ushort wBoardIndex = 0; wBoardIndex < wTotalBoard; wBoardIndex++)
            { 
                //wRtn = Ixud_GetCardInfo(wBoardIndex, sDevInfo(wBoardIndex), sCardInfo(wBoardIndex), szModelName)
                wInitialCode = UniDAQ.Ixud_GetCardInfo(wBoardIndex, ref sDeviceInfo[wBoardIndex], ref sCardInfo[wBoardIndex], szModeName);
                this.cbxSelBoard.Items.Add(Encoding.ASCII.GetString(szModeName));
            }
           

        }

        private void btnActive_Click(object sender, EventArgs e)
        {
            wBoardNo = (ushort)cbxSelBoard.SelectedIndex;


            if (btnActive.Text == "&ACTIVE")
            {
                btnActive.Text = "&STOP";
          
                btnExit.Enabled = false;

                hEvent = 0;
                //Initial the DO vaule to Zero(Low)
                wInitialCode = UniDAQ.Ixud_WriteDO(wBoardNo, 0, 0);

                //Register APC Source = 1 Event Type = 13(Active High(4) +Active Low(8) +Hardware Interrupt(1))
                wInitialCode = UniDAQ.Ixud_SetEventCallback(wBoardNo,UniDAQ.IXUD_HARDWARE_INT|UniDAQ.IXUD_ACTIVE_HIGH|UniDAQ.IXUD_ACTIVE_LOW, 1, ref hEvent, FuncAddress, 0);
                if (wInitialCode != 0)
                {
                    MessageBox.Show("Register APC Error");
                    return;
                }
               
                //Install IRQ
                wInitialCode = UniDAQ.Ixud_InstallIrq(wBoardNo, 0x1);//Enable the Interrupt Source 0
                if (wInitialCode != 0)
                {
                    MessageBox.Show("Install IRQ Error");
                    return;
                }
               

                while (btnActive.Text == "&STOP")
                {
                    //lstCount.Items.Clear();
                    //lstCount.Items.Add("Wait the Event!!!!" + "Event Count:" + Convert.ToSingle(int_count_0));
                    tbxCount.Text = Convert.ToString(int_count_0);
                    Application.DoEvents();
                }
               
            }else {

                btnActive.Text = "&ACTIVE";

                btnExit.Enabled = true;
                //Remove IRQ
                wInitialCode = UniDAQ.Ixud_RemoveIrq(wBoardNo);
                if (wInitialCode != 0)
                {
                    MessageBox.Show("Remove IRQ Error");
                    return;
                }
                //Remove APC
                wInitialCode = UniDAQ.Ixud_RemoveEventCallback(wBoardNo, 0);
                if (wInitialCode != 0)
                {
                    MessageBox.Show("Remove APC");
                    return;
                }              
            }            
        }

       
    
        private void cbxSelBoard_SelectedIndexChanged(object sender, EventArgs e)
        {
        
            wBoardNo = (ushort)cbxSelBoard.SelectedIndex;
            //Total Digital Output Port            

            this.Text = this.cbxSelBoard.Text + " Interrupt +DI Trigger Demo";
        }

        private void btnExit_Click(object sender, EventArgs e)
        {
            UniDAQ.Ixud_DriverClose();
            Close();
        }

        //Callback function 0
        public void User_Callback_0(UInt32 lParm)
        {
            //Do Something.....
            int_count_0 = int_count_0 + 1;
            
            //lstCount.Items.Add(currentTime.ToString("s"));


            //return 0;
        }

        //Callback function 1
        public void User_Callback_1(UInt32 lParm)
        {
            int_count_1 = int_count_1 + 1;

            //return 0;
        }

        private void btnTrigger_Click(object sender, EventArgs e)
        {
            lstCount.Items.Add(" Output 0x01 to DO-1(Active High) ");
            //Write the DO port to simulate trigger signal(High)
            wInitialCode = UniDAQ.Ixud_WriteDO(wBoardNo, 2, 1);
            Thread.Sleep(10);
            lstCount.Items.Add(" Output 0x01 to DO-0(Active Low) ");
            //Write the DO port to simulate trigger signal(Low)
            wInitialCode = UniDAQ.Ixud_WriteDO(wBoardNo, 2, 0);
            Thread.Sleep(10);
        }



    } 
}